# List sheets

Lists sheets that the user has access to. The list contains an abbreviated Sheet object for each sheet.

> Note: For pagination guidance, refer to Pagination.

Endpoint: GET /sheets
Version: 2.0.0
Security: APIToken, OAuth2

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    A comma-separated list of optional elements to include in the response:

* sheetVersion - current version number of each sheet, should not be combined with pagination
* source - the Source object for any sheet that was created from another sheet, if any
    Enum: "sheetVersion", "source"

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

  - `modifiedSince` (any)
    When specified with a date and time value, response only includes the objects that are modified on or after the date and time specified. 

Important: If you're also passing in numericDates=true, then specify your modified date as a Unix timestamp--milliseconds since the Epoch (January 1, 1970, UTC).

Tip: If you need to keep track of frequent changes, it may be more useful to use Get Sheet Version.

  - `numericDates` (boolean)
    Set to true to use Unix timestamps--milliseconds since the Epoch (January 1, 1970, UTC)--for all date/time fields.

Important: If you're also specifying date criteria (such as a modified since date) using another input parameter, use the same date format you're specifying here.

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents.

NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `data` (array)

  - `data.id` (number)
    Sheet ID.

  - `data.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `data.createdAt` (any)

  - `data.modifiedAt` (any)

  - `data.name` (string)
    Sheet name.

  - `data.permalink` (string)
    URL that represents a direct link to the sheet in Smartsheet.

  - `data.version` (number)
    A number that is incremented every time a sheet is modified.

  - `data.source` (object)

  - `data.source.id` (number)
    The ID of the dashboard, report, sheet, or template from which the enclosing dashboard, report, sheet, or template was created.

  - `data.source.type` (string)
    report, sheet, sight (aka dashboard), or template.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


